package uk.ac.umist.co.brailletrans.tests;
import uk.ac.umist.co.brailletrans.*;
import java.io.*;
import java.io.FileOutputStream;

public class GetHashes
{

  public static void main(String[] args) throws Exception
  {
    BufferedInputStream inFile = null;
    inFile = new BufferedInputStream(new FileInputStream("Tb5.dat"));

    // skip version
    inFile.skip(4);
    // skip characters
    inFile.skip(256 * 3);
    // skip number wildcards
    inFile.skip(1);
    // skip wildcard info
    inFile.skip(3 * 7);
    // skip number states
    inFile.skip(1);
    // skip number input classes
    inFile.skip(1);
    // skip state table
    inFile.skip(6 * 5);
    // ASSERTION: now pointing at translation rules table

    // output file
    PrintStream out = new PrintStream(new FileOutputStream("transruls.txt"));
    int got = inFile.read();
    while (got != -1)
    {
      out.print(got + ", ");
      got = inFile.read();
    }

  }

}
