package uk.ac.umist.co.brailletrans.tests;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
 * A main control panel for a GUI-based translation application.
 *
 * @author Alasdair King, alasdairking@yahoo.co.uk
 * @version 1.0, 09/01/2001
 */
public class MainMenu extends JFrame
{
  private JButton translateButton, changeSettingsButton, showSettingsButton;

  /**
   * Constructor for the main menu, displays the panel.
   */
  public MainMenu()
  {
    super("Text and Braille Translator");

    Container c = getContentPane();
    c.setLayout(new FlowLayout());

    MainMenuHandler handler = new MainMenuHandler();

    translateButton = new JButton("Perform translation");
    translateButton.addActionListener(handler);
    showSettingsButton = new JButton("Show settings");
    showSettingsButton.addActionListener(handler);
    changeSettingsButton = new JButton("Change settings");
    changeSettingsButton.addActionListener(handler);
    c.add(translateButton);
    c.add(showSettingsButton);
    c.add(changeSettingsButton);

    setSize(200, 200);
    show();
  }

  private class MainMenuHandler implements ActionListener
  {
    public void actionPerformed(ActionEvent e)
    {
      if (e.getSource() == translateButton)
      {

      } else if (e.getSource() == showSettingsButton)
      {

      } else if (e.getSource() == changeSettingsButton)
      {

      }
    }
  }
}