package uk.ac.umist.co.brailletrans.tests;
import uk.ac.umist.co.brailletrans.*;
import java.awt.*;
import java.applet.*;
import java.awt.event.*;
import java.io.*;

public class TranslateApplet extends Applet implements ActionListener
{
  Label versionLabel = new Label("Version 1");
  TextArea inputTextArea = new TextArea(5,10);
  TextArea outputTextArea = new TextArea(5,10);
  TextArea noticeArea = new TextArea(5, 10);
  Button goButton = new Button("Translate");
  LanguageUnicode language;

  public void init()
  {
    setLayout(new FlowLayout(FlowLayout.CENTER));
    add(versionLabel);
    add(inputTextArea);
    add(goButton);
    outputTextArea.setEditable(false);
    add(outputTextArea);
    noticeArea.setEditable(false);
    add(noticeArea);
    try
    {
      language = new LanguageUnicode("Tb5");
      language.setState(2);
    }
    catch (Exception e)
    {
      noticeArea.setText(e.toString());
    }
    goButton.addActionListener(this);
  }

  public void actionPerformed(ActionEvent event)
  {
    String result = language.translate(inputTextArea.getText());
    outputTextArea.setText(result);
  }
}